Bug 1722934 - ERROR: Signature extraction failed
Summary: ERROR: Signature extraction failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-21 18:15 UTC by ersen
Modified: 2019-09-27 00:52 UTC (History)
4 users (show)

Fixed In Version: youtube-dl-2019.06.21-1.fc30 youtube-dl-2019.06.21-1.fc29 youtube-dl-2019.07.30-1.el7 youtube-dl-2019.09.12.1-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:26:12 UTC
Type: Bug


Attachments (Terms of Use)

Description ersen 2019-06-21 18:15:33 UTC
Description of problem: youtube-dl fails to download from some URL's.


Version-Release number of selected component (if applicable): youtube-dl 2019.06.08-1.fc30


How reproducible: Always


Steps to Reproduce:
1. Try to download from this URL: "https://www.youtube.com/watch?v=hLQl3WQQoQ0"
2.
3.

Actual results:
ERROR: Signature extraction failed: Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1342, in _decrypt_signature
    video_id, player_url, s
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1250, in _extract_signature_function
    res = self._parse_sig_js(code)
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/youtube.py", line 1314, in _parse_sig_js
    jscode, 'Initial JS player signature function name', group='sig')
  File "/usr/lib/python3.7/site-packages/youtube_dl/extractor/common.py", line 1005, in _search_regex
    raise RegexNotFoundError('Unable to extract %s' % _name)
youtube_dl.utils.RegexNotFoundError: Unable to extract Initial JS player signature function name; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
 (caused by RegexNotFoundError('Unable to extract \x1b[0;34mInitial JS player signature function name\x1b[0m; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.')); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.


Expected results: Succesfully download the video from the given URL


Additional info: Not all URLs give the above error. For example, this URL is OK: "https://www.youtube.com/watch?v=0OR47yr89JQ"

Comment 1 Fedora Update System 2019-06-23 21:07:29 UTC
FEDORA-2019-6a4964db55 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a4964db55

Comment 2 Fedora Update System 2019-06-23 21:07:29 UTC
FEDORA-EPEL-2019-6cfef9aad8 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6cfef9aad8

Comment 3 Fedora Update System 2019-06-23 21:07:39 UTC
FEDORA-EPEL-2019-21e0a2b48c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-21e0a2b48c

Comment 4 Fedora Update System 2019-06-23 21:07:39 UTC
FEDORA-2019-e417b3ada6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e417b3ada6

Comment 5 Fedora Update System 2019-06-24 02:10:00 UTC
youtube-dl-2019.06.21-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-21e0a2b48c

Comment 6 Fedora Update System 2019-06-24 02:12:27 UTC
youtube-dl-2019.06.21-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6cfef9aad8

Comment 7 Fedora Update System 2019-06-24 02:41:30 UTC
youtube-dl-2019.06.21-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e417b3ada6

Comment 8 Fedora Update System 2019-06-24 13:04:12 UTC
youtube-dl-2019.06.21-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a4964db55

Comment 9 Fedora Update System 2019-06-25 01:26:12 UTC
youtube-dl-2019.06.21-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-07-27 05:17:16 UTC
youtube-dl-2019.06.21-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-07-30 21:12:47 UTC
FEDORA-EPEL-2019-7c4fe32880 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 12 Fedora Update System 2019-07-31 03:48:22 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7c4fe32880

Comment 13 Fedora Update System 2019-08-15 17:36:01 UTC
youtube-dl-2019.07.30-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-09-11 20:17:06 UTC
FEDORA-EPEL-2019-210511c413 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-210511c413

Comment 15 Fedora Update System 2019-09-11 20:26:59 UTC
FEDORA-EPEL-2019-52efaebea1 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52efaebea1

Comment 16 Fedora Update System 2019-09-12 21:41:19 UTC
youtube-dl-2019.09.12.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-52efaebea1

Comment 17 Fedora Update System 2019-09-27 00:52:06 UTC
youtube-dl-2019.09.12.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.